
#PIPER

Piper is a Perforce desktop client that is designed to be simpler to use than P4V. 

Note that Piper has nowhere near the functionality of P4V, and probably never will (in fact, the original project has a 2.0 version that has an even *simpler* interface!) 

### EXTRAS
The Piper project includes two scripts:

* SubmitTagger.py - this script adds comma-delimited "tags" to the items in the corresponding changelist. By default, tags are specified in the changelist description using hashtag-style words (e.g. *#funStuff*).

* ThumbnailGenerator.py

## Distribution

### MAC

### WINDOWS


## Packaging

### MAC

### WINDOWS

## Documentation

__TBC__

The markdown file `README.md` (this document) is located in the project's root directory
on the Workshop. 


## Requirements
### GENERAL

Piper has been tested with Perforce server version 2013.2 and above, although there is no reason that it should not work with an earlier Perforce version.

### P4Search
Piper can search the Perforce repository if you have P4Search 

### MAC
Piper has been tested with Mac OSX 10.9 and above. 

### WINDOWS
Piper has been tested with Windows 7 and Windows 8. Piper does require .Net 4.5 to function. The Piper installer (msi) makes registry entries and must be run by a user with administrative rights.

## Limitations

Currently, Piper only supports classic Perforce depots (i.e. no streams). It wouldn't be too difficult to modify Piper to support using streams (and in fact might make workspace management a lot easier).

## Support

Piper is distributed in a *BYOS* model... Bring Your Own Support.

### Issues

Issues are tracked on the Workshop under the [Jobs](https://swarm.workshop.perforce.com/projects/perforce-software-piper/jobs/)
tab.  

## Quick Start

### MAC

### WINDOWS

## Source

### Building Piper

__TBC__

### Contributing

__TBC__